Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

List prospect activities

GET /api/crm/activities

Read activity with trusted actor provenance. Default 50, max 100.

Parameters

workspaceId
string
No description.
prospectIdrequired
string
No description.
cursor
string
No description.
limit
number
No description.

Example

REST requestbash
curl -X GET "https://app.pipeline.help/api/crm/activities?prospectId=00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY"

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"activities": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"prospectId": {
"type": "string"
},
"activityType": {
"type": "string"
},
"title": {
"type": "string"
},
"actor": {
"type": "string"
},
"body": {
"type": [
"string",
"null"
]
},
"createdAt": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object"
}
},
"required": [
"id",
"workspaceId",
"prospectId",
"activityType",
"title",
"actor",
"createdAt"
]
}
},
"nextCursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"activities",
"nextCursor"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline